<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <html>
      <link rel="stylesheet" href="style.css" type="text/css"></link>
      <body>
        <div class="mainBody">
          <h2><span class="query"><xsl:value-of select="RESULTS/QUERY" /></span></h2>
            <xsl:for-each select="RESULTS/RESULT">
              <div class="resultContainer">
                  <div class="fileContainer"><span class="fileHeading">File:</span><span class="fileItem"><xsl:value-of select="FILE" /></span></div>
                  <div class="pathContainer"><span class="pathHeading">Path:</span><span class="pathItem"><xsl:value-of select="PATH" /></span></div>
                  <div class="versionContainer"><span class="versionHeading">Version:</span><span class="versionItem"><xsl:value-of select="VERSION" /></span></div>
                  <div class="userContainer"><span class="userHeading">User:</span><span class="userItem"><xsl:value-of select="USER" /></span></div>
                  <div class="dateContainer"><span class="dateHeading">Date:</span><span class="dateItem"><xsl:value-of select="DATE" /></span></div>
                  <div class="commentContainer">
                     <span class="commentHeading">Comment:</span>
                     <span class="commentItem"><xsl:value-of select="COMMENT" />  
                     
                     <!--  Translate the comment to uppercase so we can search it for ID= -->
                     <xsl:variable name = "Comment" select="translate(COMMENT, 'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
                     <xsl:if test="contains($Comment, 'ID=')">
                          | <a>
                              <xsl:attribute name="HREF">
                                 <xsl:text>http://myIssueTracker/LookupIssue.aspx?Comment=</xsl:text>
                                 <xsl:value-of select="COMMENT" />
                              </xsl:attribute>Issue Tracker
                        </a>
                     </xsl:if>

                       </span>
                  </div>
              </div>
            </xsl:for-each>
        </div>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>